summaryrefslogtreecommitdiff
path: root/make-core-image.sh
diff options
context:
space:
mode:
authorMatthias Benkard <code@mail.matthias.benkard.de>2007-05-28 16:52:54 +0200
committerMatthias Benkard <code@mail.matthias.benkard.de>2007-05-28 16:52:54 +0200
commit8ea9fc44fb76060010356324d3bb94ca2e365cc5 (patch)
treeb2ee951183564acfa971d605405f1dacd97ee671 /make-core-image.sh
Beginnings of a CGI web journal.
darcs-hash:69ce37acf510a840750e060433eaa72e64dfc6a1
Diffstat (limited to 'make-core-image.sh')
-rwxr-xr-xmake-core-image.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/make-core-image.sh b/make-core-image.sh
new file mode 100755
index 0000000..d396b48
--- /dev/null
+++ b/make-core-image.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+clisp -q -q -on-error exit <<EOF
+(dolist (system '(:cl-ppcre :cl-fad :iterate :cl-markdown :parenscript
+ :yaclml :lisp-cgi-utils))
+ (clc:clc-require system))
+(saveinitmem "lispinit.mem")
+(quit)
+EOF
+
+if [ x$? = x0 ]; then
+ gzip -f lispinit.mem
+fi